from pathlib import Path

# Project directories
BASE_DIR = Path("/projects/simpletodoapp-3hunrv")
APP_DIR = BASE_DIR / "app"

# Database
DB_DIR = Path("/app") / "storage" / "db"
DB_DIR.mkdir(parents=True, exist_ok=True)

SQLALCHEMY_DATABASE_URL = f"sqlite:///{DB_DIR}/db.sqlite"

# API settings
API_V1_STR = "/api/v1"
PROJECT_NAME = "Simple Todo App"
